pcl::poisson::NVector< T, Dim > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/vector.h>`

## Public Member Functions

| NVector ()
| NVector (const NVector &V)
| NVector (size_t N)
| NVector (size_t N, T *pV)
| ~NVector ()
const T * | operator() (size_t i) const
T * | operator() (size_t i)
const T * | operator[] (size_t i) const
T * | operator[] (size_t i)
void | SetZero ()
size_t | Dimensions () const
void | Resize (size_t N)
NVector | operator* (const T &A) const
NVector | operator/ (const T &A) const
NVector | operator- (const NVector &V) const
NVector | operator+ (const NVector &V) const
NVector & | operator*= (const T &A)
NVector & | operator/= (const T &A)
NVector & | operator+= (const NVector &V)
NVector & | operator-= (const NVector &V)
NVector & | AddScaled (const NVector &V, const T &scale)
NVector & | SubtractScaled (const NVector &V, const T &scale)
NVector | operator- () const
NVector & | operator= (const NVector &V)
T | Dot (const NVector &V) const
T | Length () const
T | Norm (size_t Ln) const
void | Normalize ()

## Static Public Member Functions

static void | Add (const NVector &V1, const T &scale1, const NVector &V2, const T &scale2, NVector &Out)
static void | Add (const NVector &V1, const T &scale1, const NVector &V2, NVector &Out)

## Public Attributes

T * | m_pV

## Protected Attributes

size_t | m_N

## Detailed Description

### template<class T, int Dim>
class pcl::poisson::NVector< T, Dim >

Definition at line 98 of file vector.h.

## Constructor & Destructor Documentation

## NVector() [1/4]

template<class T , int Dim>

pcl::poisson::NVector< T, Dim >::NVector | ( |  | ) |

Definition at line 286 of file vector.hpp.

## NVector() [2/4]

template<class T , int Dim>

pcl::poisson::NVector< T, Dim >::NVector | ( | const NVector< T, Dim > & | V | ) |

Definition at line 292 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_N, and pcl::poisson::NVector< T, Dim >::m_pV.

## NVector() [3/4]

template<class T , int Dim>

pcl::poisson::NVector< T, Dim >::NVector | ( | size_t | N | ) |

Definition at line 300 of file vector.hpp.

## NVector() [4/4]

template<class T , int Dim>

pcl::poisson::NVector< T, Dim >::NVector | ( | size_t | N,
|  | T * | pV
| ) |  |

Definition at line 318 of file vector.hpp.

## ~NVector()

template<class T , int Dim>

pcl::poisson::NVector< T, Dim >::~NVector | ( |  | ) |

Definition at line 324 of file vector.hpp.

## Member Function Documentation

## Add() [1/2]

template<class T , int Dim>

void pcl::poisson::NVector< T, Dim >::Add | ( | const NVector< T, Dim > & | V1,
|  | const T & | scale1,
|  | const NVector< T, Dim > & | V2,
|  | const T & | scale2,
|  | NVector< T, Dim > & | Out
| ) |  |

static

Definition at line 413 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_N, and pcl::poisson::NVector< T, Dim >::m_pV.

## Add() [2/2]

template<class T , int Dim>

void pcl::poisson::NVector< T, Dim >::Add | ( | const NVector< T, Dim > & | V1,
|  | const T & | scale1,
|  | const NVector< T, Dim > & | V2,
|  | NVector< T, Dim > & | Out
| ) |  |

static

Definition at line 418 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_N, and pcl::poisson::NVector< T, Dim >::m_pV.

## AddScaled()

template<class T , int Dim>

NVector< T, Dim > & pcl::poisson::NVector< T, Dim >::AddScaled | ( | const NVector< T, Dim > & | V,
|  | const T & | scale
| ) |  |

Definition at line 397 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_pV.

## Dimensions()

template<class T , int Dim>

size_t pcl::poisson::NVector< T, Dim >::Dimensions | ( |  | ) | const

Definition at line 333 of file vector.hpp.

## Dot()

template<class T , int Dim>

T pcl::poisson::NVector< T, Dim >::Dot | ( | const NVector< T, Dim > & | V | ) | const

Definition at line 481 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_pV.

## Length()

template<class T , int Dim>

T pcl::poisson::NVector< T, Dim >::Length | ( | void |  | ) | const

Definition at line 473 of file vector.hpp.

## Norm()

template<class T , int Dim>

T pcl::poisson::NVector< T, Dim >::Norm | ( | size_t | Ln | ) | const

Definition at line 458 of file vector.hpp.

## Normalize()

template<class T , int Dim>

void pcl::poisson::NVector< T, Dim >::Normalize | ( |  | ) |

Definition at line 466 of file vector.hpp.

## operator()() [1/2]

template<class T , int Dim>

const T * pcl::poisson::NVector< T, Dim >::operator() | ( | size_t | i | ) | const

Definition at line 337 of file vector.hpp.

## operator()() [2/2]

template<class T , int Dim>

T * pcl::poisson::NVector< T, Dim >::operator() | ( | size_t | i | ) |

Definition at line 343 of file vector.hpp.

## operator*()

template<class T , int Dim>

NVector< T, Dim > pcl::poisson::NVector< T, Dim >::operator* | ( | const T & | A | ) | const

Definition at line 358 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_pV.

## operator*=()

template<class T , int Dim>

NVector< T, Dim > & pcl::poisson::NVector< T, Dim >::operator*= | ( | const T & | A | ) |

Definition at line 366 of file vector.hpp.

## operator+()

template<class T , int Dim>

NVector< T, Dim > pcl::poisson::NVector< T, Dim >::operator+ | ( | const NVector< T, Dim > & | V | ) | const

Definition at line 388 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_pV.

## operator+=()

template<class T , int Dim>

NVector< T, Dim > & pcl::poisson::NVector< T, Dim >::operator+= | ( | const NVector< T, Dim > & | V | ) |

Definition at line 423 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_pV.

## operator-() [1/2]

template<class T , int Dim>

NVector< T, Dim > pcl::poisson::NVector< T, Dim >::operator- | ( | const NVector< T, Dim > & | V | ) | const

Definition at line 431 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_pV.

## operator-() [2/2]

template<class T , int Dim>

NVector< T, Dim > pcl::poisson::NVector< T, Dim >::operator- | ( | void |  | ) | const

Definition at line 440 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_pV.

## operator-=()

template<class T , int Dim>

NVector< T, Dim > & pcl::poisson::NVector< T, Dim >::operator-= | ( | const NVector< T, Dim > & | V | ) |

Definition at line 450 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_pV.

## operator/()

template<class T , int Dim>

NVector< T, Dim > pcl::poisson::NVector< T, Dim >::operator/ | ( | const T & | A | ) | const

Definition at line 373 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_pV.

## operator/=()

template<class T , int Dim>

NVector< T, Dim > & pcl::poisson::NVector< T, Dim >::operator/= | ( | const T & | A | ) |

Definition at line 381 of file vector.hpp.

## operator=()

template<class T , int Dim>

NVector< T, Dim > & pcl::poisson::NVector< T, Dim >::operator= | ( | const NVector< T, Dim > & | V | ) |

Definition at line 326 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_N, and pcl::poisson::NVector< T, Dim >::m_pV.

## operator[]() [1/2]

template<class T , int Dim>

const T * pcl::poisson::NVector< T, Dim >::operator[] | ( | size_t | i | ) | const

Definition at line 348 of file vector.hpp.

## operator[]() [2/2]

template<class T , int Dim>

T * pcl::poisson::NVector< T, Dim >::operator[] | ( | size_t | i | ) |

Definition at line 353 of file vector.hpp.

## Resize()

template<class T , int Dim>

void pcl::poisson::NVector< T, Dim >::Resize | ( | size_t | N | ) |

Definition at line 307 of file vector.hpp.

## SetZero()

template<class T , int Dim>

void pcl::poisson::NVector< T, Dim >::SetZero | ( | void |  | ) |

Definition at line 335 of file vector.hpp.

## SubtractScaled()

template<class T , int Dim>

NVector< T, Dim > & pcl::poisson::NVector< T, Dim >::SubtractScaled | ( | const NVector< T, Dim > & | V,
|  | const T & | scale
| ) |  |

Definition at line 405 of file vector.hpp.

References pcl::poisson::NVector< T, Dim >::m_pV.

## Member Data Documentation

## m_N

template<class T, int Dim>

size_t pcl::poisson::NVector< T, Dim >::m_N

protected

Definition at line 145 of file vector.h.

Referenced by pcl::poisson::NVector< T, Dim >::Add(), pcl::poisson::NVector< T, Dim >::NVector(), and pcl::poisson::NVector< T, Dim >::operator=().

## m_pV

template<class T, int Dim>

T* pcl::poisson::NVector< T, Dim >::m_pV

Definition at line 143 of file vector.h.

Referenced by pcl::poisson::NVector< T, Dim >::Add(), pcl::poisson::NVector< T, Dim >::AddScaled(), pcl::poisson::NVector< T, Dim >::Dot(), pcl::poisson::NVector< T, Dim >::NVector(), pcl::poisson::NVector< T, Dim >::operator*(), pcl::poisson::NVector< T, Dim >::operator+(), pcl::poisson::NVector< T, Dim >::operator+=(), pcl::poisson::NVector< T, Dim >::operator-(), pcl::poisson::NVector< T, Dim >::operator-=(), pcl::poisson::NVector< T, Dim >::operator/(), pcl::poisson::NVector< T, Dim >::operator=(), and pcl::poisson::NVector< T, Dim >::SubtractScaled().

The documentation for this class was generated from the following files:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/vector.h
- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/vector.hpp